import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { FirstPageComponent } from './first-page/first-page.component';
import { SecondPageComponent } from './second-page/second-page.component';

const routes: Routes = [
  {
    path: "",
    children: [
      {
        path: "first-page",
        component: FirstPageComponent,
        data : {
          title : 'First page',
          breadcrumb : 'First page'
        }
      },
      {
        path: "second-page",
        component: SecondPageComponent,
        data : {
          title : 'Second Page',
          breadcrumb : 'Second Page'
        }
      },
    ],
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SimplePageRoutingModule { }
