import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { NgbActiveModal, NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { TranslateModule } from '@ngx-translate/core';
import { BreadcrumbComponent } from './components/breadcrumb/breadcrumb.component';
import { FeatherIconsComponent } from './components/feather-icons/feather-icons.component';
import { FooterComponent } from './components/footer/footer.component';
import { CartComponent } from './components/header/cart/cart.component';
import { ChatComponent } from './components/header/chat/chat.component';
import { HeaderComponent } from './components/header/header.component';
import { ModeComponent } from './components/header/mode/mode.component';
import { ProfileComponent } from './components/header/profile/profile.component';
import { ContentComponent } from './components/layout/content/content.component';
import { LoaderComponent } from './components/loader/loader.component';
import { SearchComponent } from './components/search/search.component';
import { SidebarComponent } from './components/sidebar/sidebar.component';
import { SvgIconsComponent } from './components/svg-icons/svg-icons.component';
import { TapToTopComponent } from './components/tap-to-top/tap-to-top.component';
import { ClickOutsideDirective } from './directives/click-outside.directive';
import { CommonSvgIconsComponent } from './components/common-svg-icons/common-svg-icons.component';
import { NotificationsComponent } from './components/header/notifications/notifications.component';

@NgModule({
  declarations: [
    ContentComponent,
    HeaderComponent,
    FooterComponent,
    SidebarComponent,
    BreadcrumbComponent,
    SearchComponent,
    NotificationsComponent,
    CartComponent,
    ModeComponent,
    ChatComponent,
    ProfileComponent,
    FeatherIconsComponent,
    SvgIconsComponent,
    CommonSvgIconsComponent,
    ClickOutsideDirective,
    TapToTopComponent,
    LoaderComponent
  ],
  
  imports: [
    CommonModule,
    RouterModule,
    HttpClientModule,
    NgbModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule.forRoot(),
    FontAwesomeModule
  ],

  exports : [
    TapToTopComponent,
    ClickOutsideDirective,
    FeatherIconsComponent,
    FooterComponent,
    LoaderComponent,
    TranslateModule,
  ],

  providers: [NgbActiveModal],
})

export class SharedModule { }
